--------------------------------------------------
-- tb_deep_hw.vhd
-- Testbench of Deep Learning on FPGA
-- by Toshio Iwata at digitalfilter.com 2019/02/13

library IEEE;
  use IEEE.std_logic_1164.all;

entity tb_deep_hw is
end tb_deep_hw ;

architecture beh of tb_deep_hw is

component deep_hw 
Port (
  CLK : in std_logic;                            -- clock (100MHz)
  RST_N : in std_logic;                          -- reset (active low)
  ANSWER : Out std_logic_vector(3 downto 0) );  
end component;

component env
   Port (
    CLK : out std_logic;
    RST_N : out std_logic );
end component;

component up_out
   Port (
	RST_N : out std_logic );
end component;

signal CLK, RST_N : std_logic;

begin

deep_hw_1 : deep_hw port map (
  CLK => CLK,  
  RST_N => RST_N, 
  ANSWER => open );

env_1 : env port map (
  CLK => CLK,
  RST_N => RST_N );

MAIN_P: process

begin -- process MAIN_P

wait ;

end process ;  -- MAIN_P
-----------------------------------------------------------------------
end beh ;
