-- env.vhd
-- by Toshio Iwata at digitalfilter.com 2019/02/15

library ieee;
use STD.TEXTIO.all;
use ieee.std_logic_1164.all;
use ieee.std_logic_textio.all;
use ieee.std_logic_arith.all;
use work.env_pkg.all;

entity env is
  Port (
    CLK : out std_logic;
    RST_N : out std_logic );
end env;

architecture beh of env is

begin

process
begin
  CLK <= '0';
  wait for sv_clk_period / 2.0;
  CLK <= '1';
  wait for sv_clk_period / 2.0;
end process;


process
begin
   RST_N <= '0';
   wait for 5 us;
   RST_N <= '1';
   wait;
end process;

end beh;
