-- env_pkg.vhd
-- by Toshio Iwata 2019/02/16

library ieee ;
  use ieee.std_logic_1164.all ;
  use IEEE.std_logic_arith.all;
  use ieee.std_logic_textio.all ;
  use std.textio.all ;

--***************************************************************************
--**
--**  Package
--**
--***************************************************************************

package env_pkg is

  ----------------------------------------------------------------------------
  --
  --  Chip Related Constants
  --
  ----------------------------------------------------------------------------
  constant sv_clk_period : time := 10 ns; -- 100MHz
  constant sv_clk_value : real := 10.0e-9;

end env_pkg ;

--***************************************************************************
--**
--**  Package Body
--**
--***************************************************************************

package body env_pkg is

end env_pkg;

